<?
if(isset($_GET['del']) && $ku['status']==3)mysql_query("DELETE FROM `objava` WHERE `id` = '".intval($_GET['del'])."'");
echo "<div class='event'><h1>Доска объявлений</h1></div>";
echo "<div class='content'>";
echo "<div class='block'>";

$k_post = mysql_result(mysql_query("SELECT COUNT(*) FROM `objava` ORDER BY `id` DESC"),0);
if ($k_post==0)
{
echo "Список пуст...";
}
$k_page=k_page($k_post,$set['p_str']);
$page=page($k_page);
$start=$set['p_str']*$page-$set['p_str'];



$q=mysql_query("SELECT * FROM `objava` ORDER BY `id` DESC LIMIT $start, $set[p_str]");
while($msg=mysql_fetch_assoc($q))
{
if(isset($_GET['read_objava']))
{
mysql_query("UPDATE `kolhoz_user` SET `read_objava` = '1' WHERE `id` = '$ku[id]'");
}
echo '<li class="block">'.($msg['name']!=NULL?'<font color="red"><b>'.$msg['name'].'</b></font></br>':null).'';
echo ''.output_text($msg['opis']).'';if($ku['status']==3)echo " <a class='small minor' href='?objava&del=$msg[id]'>  [удалить]</a></br>";
echo "<div><span class='title'><span class='small'>Объявил: </span></span>";
echo ''.on_k($msg['id_user']).' <a href="?user=$msg[id_user]">'.nc($msg['id_user']).'</a><li class="pt"></li></li>';


}
if ($k_page>1)str("?objava&",$k_page,$page); // Вывод страниц
if($ku['status']==3)echo "<li class='pt'><a href='?admin=objava'><small>Добавить объявление</small></a></li>";
echo '</div></div>';
include_once 'inc/foot.php';
?>